import time
from Si1145 import Si1145_Init, Si1145_close, Si1145_readUV, Si1145_readVisible

interval = 3
Si1145_Init()

while True: 
    try:
        uvi = Si1145_readUV()/100
        print("UV Index: " + str(uvi), end=", ")
        lux = Si1145_readVisible()
        print("Ambient light intensity: " + str(lux) + " (lx)")
        time.sleep(interval)
    except KeyboardInterrupt:
        break

Si1145_close()
